Description

Most of my ships are experiencing a lack of damping and overshooting the centre mark. Most noticeable on ROLL.

A ship will roll slightly back and fourth never settling down.

Sometimes use of the roll keys Q and E will settle it down for a few seconds but it starts again on it's own.

Particularly noticeable on ships with side tanks (not clipping)

Setting aside the fact that KSP gives No orientation information when docking, this makes it very difficult to dock precisely when
building stations and Interplanetary ships in orbit.

I am playing in Stock KSP but | think that even the use of a mod such as Docking Port Alignment Indicator will not be as useful
because of this problem.

Linux 64 Stock KSP 1.2.1

Related issues:
Related to Kerbal Space Program - Bug #3950: SAS directional hold overshoots ... Updated 01/08/2015

History

#1 - 11/09/2016 11:04 AM - sal_vager
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Hi Daveroski, this has already been reported and is known to the developers, please see issue #13099

#2 - 11/09/2016 11:04 AM - sal_vager
- Related to Feedback #13099: SAS Hold Extremely Difficult With Wheel Authority Set To 1% added

#3 - 11/09/2016 02:15 PM - Daveroski

This is NOT a duplicate of that issue.

That issue refers to control authority.

This issue refers to SAS in general.

A command pod mounted to a liquid fuel tank with four symmetrical side liquid fuel tanks and a NIRV is a great example.
Anyone who has actually spent a little time playing the game would see that this roll exists and it IS a bug.

It has even happened using some of the most simple ships creatable. One pod one tank one engine.

No other other SAS control but the pod the rocking motion happens.

Add a 1.5 SAS behind the pod. It STILL happens.

If this isn't going to be fixed, it's a game breaker for me. | like to build structures in space by docking parts together. This rocking motion often makes it
impossible to align the sections.

| described it clearly in my OP. How did you arrive at the conclusion that it had ANYTHING to do with control authority settings?

#4 - 11/14/2016 12:20 PM - sal_vager
- Related to deleted (Feedback #13099: SAS Hold Extremely Difficult With Wheel Authority Set To 1%)

#5 - 11/14/2016 12:20 PM - sal_vager
- Related to Bug #3950: SAS directional hold overshoots significantly added

#6 - 11/14/2016 12:23 PM - sal_vager

You're half right, both issues are duplicates of #3950, SAS will struggle if it doesn't have enough authority and this is true regardless of the authority
limiter, that just makes the issue more visible.

Fixing this would require a whole new SAS though, it's just a flight aid, it's not there to fly for you, but Squad are not ruling out replacing the SAS with
a better system in the future as it is a desirable feature amongst players.

SAS is working as well as it can do for the moment, on your example craft you have only the pod reaction wheels to provide control, the LV-N has no
gimbal so the SAS authority is limited.

Thank you for your report.

#7 - 03/16/2017 02:19 PM - psycho_zs

| also do not believe this bug is a duplicate.
| usually build ships with equal authority over every axis. SAS holds pitch and yaw rock solid, but not roll. Roll is not only undampened, but oscillations
are sometimes self-inducing.

| already reported this here http://bugs.kerbalspaceprogram.com/issues/12815, but now it gives 403.

#8 - 03/28/2017 08:44 PM - psycho_zs

What about weird precision RCS logic described in #128157? It is still present in latest pre-release.
It was introduced in 1.1 or 1.2. (I don't remember precisely, but before that RCS thrust was balanced and scaled correctly).

#9 - 04/06/2018 07:27 PM - ancassid

I'm having this issue too with 1.3.1. it seems to be most common when using radial docking ports like the shielded inline clamp-o-tron

04/30/2024 22


http://bugs.kerbalspaceprogram.com/issues/12815
http://www.tcpdf.org

